%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Summary:	MySQL Performance Tuning Primer Script
Name:		mysql_performance_tuning_primer
Version:	1.6
Release:	%mkrel 0.r1.10
Group:		System/Servers
License:	GPL
# These URLs are no longer valid
URL:		http://www.day32.com/MySQL/
Source0:	http://www.day32.com/MySQL/tuning-primer.sh
Source1:	http://www.day32.com/MySQL/time_behind_master.sh
Source2:	http://www.day32.com/MySQL/slave_status.sh
Source3:	http://www.day32.com/MySQL/MYSQL_BACKUP.sh
Recommends:	mariadb-core
BuildArch:	noarch

%description
This script takes information from "SHOW STATUS LIKE..." and "SHOW VARIABLES
LIKE..." to produce sane recommendations for tuning server variables. It is
compatibly with all versions of MySQL 3.23 and higher (including 5.1).
   
 o Currently it handles recommendations for the following:  
 o Slow Query Log 
 o Max Connections 
 o Worker Threads 
 o Key Buffer 
 o Query Cache 
 o Sort Buffer 
 o Joins 
 o Temp Tables 
 o Table (Open & Definition) Cache 
 o Table Locking 
 o Table Scans (read_buffer) 
 o Innodb Status 

%prep

%setup -q -c -T

cp %{SOURCE0} mysql_performance_tuning_primer
cp %{SOURCE1} mysql_performance_time_behind_master
cp %{SOURCE2} mysql_performance_slave_status
cp %{SOURCE2} mysql_performance_backup
perl -pi -e "s|^#\!/.*|#!/bin/bash|g" mysql_performance_tuning_primer
perl -pi -e "s|^#\!/.*|#!/bin/bash|g" mysql_performance_time_behind_master
perl -pi -e "s|^#\!/.*|#!/bin/bash|g" mysql_performance_slave_status
perl -pi -e "s|^#\!/.*|#!/bin/bash|g" mysql_performance_backup

%build

%install
install -d %{buildroot}%{_sbindir}
install -m0755 mysql_performance_tuning_primer %{buildroot}%{_sbindir}/

%files
%defattr(0755,root,root)
%attr(0755,root,root) %{_sbindir}/mysql_performance_tuning_primer




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.6-0.r1.10.mga9
+ Revision: 1801896
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.6-0.r1.9.mga8
+ Revision: 1492128
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.6-0.r1.8.mga7
+ Revision: 1264576
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.6-0.r1.7.mga6
+ Revision: 944136
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6-0.r1.6.mga5
+ Revision: 746982
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6-0.r1.5.mga5
+ Revision: 682730
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.6-0.r1.4.mga4
+ Revision: 508114
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.6-0.r1.3.mga3
+ Revision: 360584
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 dlucio <dlucio> 1.6-0.r1.2.mga3
+ Revision: 297809
- New S1, S2 & S3
- imported package mysql_performance_tuning_primer


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-0.r2.3mdv2011.0
+ Revision: 620425
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.4-0.r2.2mdv2010.0
+ Revision: 430142
- rebuild

* Mon Aug 11 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4-0.r2.1mdv2009.0
+ Revision: 270777
- 1.4-r2

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.3-0.r3.1mdv2008.1
+ Revision: 136612
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3-0.r3.1mdv2008.0
+ Revision: 59817
- 1.3 r3


* Tue May 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2-0r2.1mdk
- new version

* Tue May 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0-1mdk
- initial Mandriva package

